/**
 * BEM syntax helpers.
 * @example
 *     .block {
 *         // CSS declarations for `.block`
 *         @include element('element') {
 *             // CSS declarations for `.block__element`
 *         }
 *         @include modifier('modifier') {
 *             // CSS declarations for `.block--modifier`
 *             @include element('element') {
 *                 // CSS declarations for `.block--modifier__element`
 *             }
 *         }
 *     }
 */

/**
 * Block Element
 * @access public
 * @param {String} $element - Element's name
 */
@mixin element($element) {
    &__#{$element} {
        @content;
    }
}

/**
 * Block Modifier
 * @access public
 * @param {String} $modifier - Modifier's name
 */
@mixin modifier($modifier) {
    &--#{$modifier} {
        @content;
    }
}
